- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# hcloud_server_info – Gather infos about your Hetzner Cloud servers

New in version 2.8.

- Synopsis

- Requirements

- Parameters

- See Also

- Examples

- Return Values

- Status

## Synopsis

- Gather infos about your Hetzner Cloud servers.

- This module was called `hcloud_server_facts` before Ansible 2.9, returning `ansible_facts` and `hcloud_server_facts`. Note that the hcloud_server_info module no longer returns `ansible_facts` and the value was renamed to `hcloud_server_info`!

Aliases: hcloud_server_facts

## Requirements

The below requirements are needed on the host that executes this module.

- hcloud-python >= 1.0.0

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
api_token string / required |  | This is the API Token for the Hetzner Cloud.
endpoint string | Default: "https://api.hetzner.cloud/v1" | This is the API Endpoint for the Hetzner Cloud.
id integer |  | The ID of the server you want to get.
label_selector string |  | The label selector for the server you want to get.
name string |  | The name of the server you want to get.

## See Also

See also

Documentation for Hetzner Cloud API

  Complete reference for the Hetzner Cloud API.

## Examples

    - name: Gather hcloud server infos
      hcloud_server_info:
      register: output

    - name: Print the gathered infos
      debug:
        var: output.hcloud_server_info

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
hcloud_server_info complex | always | The server infos as list
| backup_window boolean | always | Time window (UTC) in which the backup will run, or null if the backups are not enabled Sample: 22-02
| datacenter string | always | Name of the datacenter of the server Sample: fsn1-dc14
| id integer | always | Numeric identifier of the server Sample: 1937415
| ipv4_address string | always | Public IPv4 address of the server Sample: 116.203.104.109
| ipv6 string | always | IPv6 network of the server Sample: 2a01:4f8:1c1c:c140::/64
| labels dictionary | always | User-defined labels (key-value pairs)
| location string | always | Name of the location of the server Sample: fsn1
| name string | always | Name of the server Sample: my-server
| rescue_enabled boolean | always | True if rescue mode is enabled, Server will then boot into rescue system on next reboot
| server_type string | always | Name of the server type of the server Sample: cx11
| status string | always | Status of the server Sample: running

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Lukas Kaemmerling (@LKaemmerling)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.